Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159611 - Add additional packages missing from installer upgrade
Summary: Add additional packages missing from installer upgrade
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-packages
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 01:06 UTC by Need Real Name
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-21 20:01:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Need Real Name 2005-06-06 01:06:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Hi All,

   I am using White Box Enterprise Linux 4 (WBEL 4).

   When I did my install, I selected all packages, except the 
development packages.   I discovered that I could not
rebuild a src rpm without it.

   So, I stuck the install CD back in and went into "Upgrade".
After scanning my system, "Upgrade" told me nothing new to
add and quit on me.

   So, to get the development packages, I had to use "New Install."
Then, unclick everything except the development packages.
This was a very, very dangerous way to get these packages
installed.  One and I really mean misstep and I would have screwed
up my boot loader (GRUB), and/or screwed up my partition tables.

   I could have easily destroyed my entire business, which is installed
on this computer (fortunately I have good back up).

   It is "insane" not to have an option to "add additional packages"
as part of the installation upgrade routine.  This is why I asm marking
this bug as "High."

Many thanks,
--Tony

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot off disk 1
2. select upgrade
3. attempt to install additional packages
  

Additional info:

Comment 1 Jeremy Katz 2005-09-21 20:01:52 UTC
I don't really want to approach this in this fashion.  Instead, I want to make
it so that it's more obvious what you don't have so you can find what you really
want to have installed


Note You need to log in before you can comment on or make changes to this bug.